Bug 140731 - Nautilus has fam-devel as buildrequirement
Nautilus has fam-devel as buildrequirement
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 10:43 EST by Henning Norén
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.15.91-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 11:02:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henning Norén 2004-11-24 10:43:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041123 Firefox/1.0

Description of problem:
Nautilus-2.8.1-4 has fam-devel as a buildrequirement, but fam (and
fam-devel) has been removed from FC3.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Download nautilus-2.8.1-4.src.rpm
2. run 'rpmbuild --rebuild nautilus-2.8.1-4.src.rpm'
    

Actual Results:  # rpmbuild --rebuild nautilus-2.8.1-4.src.rpm 
Installing nautilus-2.8.1-4.src.rpm
error: Failed build dependencies:
        fam-devel is needed by nautilus-2.8.1-4.i386

Additional info:
Comment 1 Alexander Larsson 2005-01-11 09:59:55 EST
gamin-devel provides fam-devel, so this isn't technically wrong, but
it should probably be changed.
Comment 2 Matthew Miller 2006-07-10 16:24:42 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-31 11:02:35 EST
This got done in 2.15.91-1 during FC6 development and is right in FC6.  It's a
fairly trivial bug since gamin provides the fam dependencies in the earlier
Fedora releases, so I think this can be safely closed.

Note You need to log in before you can comment on or make changes to this bug.